― MozillaZine.jp フォーラムは Mozilla 製品に関する情報交換の場です ―



All times are UTC + 9 hours

新しいトピックを投稿する トピックへ返信する  [ 9 件の記事 ] 
作成者 メッセージ
投稿記事Posted: 2017年1月07日(土) 15:27 
オフライン

登録日時: 2017年1月07日(土) 14:11
記事: 3
大変申し訳ありませんが、教えていただけませんか?

linuxBeanのlinuxBean設定ウィザードで、FlashプラグインとFirefox(最新版)を導入後から下記の内容が表示してflashplayerが見れません。

Failed to load "libpepflashplaer.so"
Freshwrapper is a translation layer which needs
PPAPI plugin backed.Ensure your sysytem have
Paths tried:
/opt/goole/chrome/PepperFlash/libpepflashplayer.so
/opt/goole/chrome/  〜省略〜 /libpepflashplayer.so
/opt/  〜省略〜 /libpepflashplayer.so
/usr/  〜省略〜 /libpepflashplayer.so
/usr/  〜省略〜 /libpepflashplayer.so
/usr/  〜省略〜 /libpepflashplayer.so
/usr/  〜省略〜 /libpepflashplayer.so
/usr/  〜省略〜 /libpepflashplayer.so
/usr/  〜省略〜 /libpepflashplayer.so
/usr/  〜省略〜 /libpepflashplayer.so
/usr/  〜省略〜 /libpepflashplayer.so
/opt/chrome/  〜省略〜 /libpepflashplayer.so
/usr/  〜省略〜 /libpepflashplayer.so

linuxBeanのバージョン : bean14044-160415 32bit
Firefoxのバージョン : 50.1.0 (アップデート前のバージョンわかりません。)

  https://helpx.adobe.com/jp/flash-player/kb/cq09051618.html

上記のサイトを見て、 Flash Player のインストール状況をチェックすると
Flash Player のバージョンが、『13.1.2』になっており、以前は、最新バージョン 24.0.0.186でした。

アドオンマネージャのプラグインを見ると

 Shockwave Flash 13.1 r2
 Shockwave Flash 24.0 r2

と2つあります。

どのように行えば、前のようにFlash Playerが見れるのか教えてください。
あと、下記のサイトのダウンロードするバージョンを選択した方がいいのかも教えてください。

  https://get.adobe.com/flashplayer/?loc=jp

よろしくお願い致します。

以上。

_________________
Mozilla/5.0 (X11; Linux i686; rv:50.0) Gecko/20100101 Firefox/50.0


通報する
ページトップ
 プロフィール  
引用付きで返信する  
投稿記事Posted: 2017年1月07日(土) 19:03 
オフライン

登録日時: 2005年12月19日(月) 23:05
記事: 91
こんばんは
Mozillaで配布していない、ディストリビューションが提供するFirefoxについてはこのフォーラムだと管轄外なのですがなんとなく原因が分かる気がするのでレスをつけてみます。
以下の説明で分からない点があったり解決しないようでしたら、検索エンジンで調べてみるとかOSのフォーラムに改めて質問しなおしてみるとかしてください。

想像するに、freshplayerというGoogle Chrome用のflashプラグインをFirefoxで使えるようにするラッパーを導入しているけれど、何らかの原因でそれが使えなくなったんじゃないかと思います。
Firefoxを終了した状態でOSのパッケージマネージャから(もしくは手動でインストールした憶えがあるならたぶん~/.mozilla/plugins/配下にある)freshplayerを削除すればFirefoxネイティブのflashプラグインを使うようになるはずです。

なお、私が使っているXubuntuではしばらく前にadobeから公開されたLinux向けの最新版である24.0がパッケージマネージャから導入できていますが、ディストリビューションによってはバージョンがより古い可能性がありますので"前のように"Flashを閲覧できるかはちょっと保証できません。

_________________
Mozilla/5.0 (X11; Ubuntu; Linux x86_64; rv:50.0) Gecko/20100101 Firefox/50.0


通報する
ページトップ
 プロフィール  
引用付きで返信する  
投稿記事Posted: 2017年1月07日(土) 23:16 
オフライン

登録日時: 2015年9月14日(月) 11:01
記事: 24
私はXubuntu 16.04を使用しておりますが
Firefox50.1.0の アドオンマネージャのプラグインを見ると「Shockwave Flash 24.0 r0」になっております。
「Shockwave Flash 13.1 r2」を無効にしてみればどうですか。

_________________
Mozilla/5.0 (X11; Ubuntu; Linux x86_64; rv:50.0) Gecko/20100101 Firefox/50.0


通報する
ページトップ
 プロフィール  
引用付きで返信する  
投稿記事Posted: 2017年1月08日(日) 04:53 
お忙しいところ、回答ありがとうございました。

レスの方法がわからず、ユーザー名はひろつきです。
平仮名だと"ユーザー名が使われている"とかでローマ字にしました。すみません。

サイトのアドレスを間違っていました。すみませんでした。

 (誤記) https://helpx.adobe.com/jp/flash-player/kb/cq09051618.html

 (正しい) https://helpx.adobe.com/jp/flash-player.html

[b]<Sakuraya 様>

[/b]『https://helpx.adobe.com/jp/flash-player.html』の下にある『カスタマーサービスへの問い合わせ』だと
『Flash Player and Shockwave Playerコミュニティフォーラム(Japan)』でWindowsやMacOSが多かったので、
こちらのフォーラムに投稿しました。
大変失礼しました。

linuxBean設定ウィザードで、Chromeも導入しました。

> Firefoxを終了した状態でOSのパッケージマネージャから(もしくは手動でインストールした憶えがあるならたぶん~/.mozilla/plugins/配下にある)freshplayerを削除すれば

 → linuxBean設定ウィザードで、Chromeを削除し、~/.mozilla/plugins/のlibflashplayer.soを削除しました。

   するとアドオンマネージャのプラグインの「Shockwave Flash 24.0 r2」が消えて、「Shockwave Flash 13.1 r2」だけある。
   flashplayerのエラー画面は同じです。

   『https://helpx.adobe.com/jp/flash-player.html』の「1.Flash Player のインストール状況をチェックします。」の「今すぐチェック」をクリックすると
   ”Flash Player のバージョン”は、”13.1.2”でした。

   再度、
   「2. 最新版の Flash Player をダウンロードします。」から、”[url=http://get.adobe.com/jp/flashplayer/]Flash Player ダウンロードページ[/url]から、最新の Flash Player をダウンロードしてください。”
   とあったので、”.tar.gz(Linux)をダウンロードし解凍し、~/.mozilla/plugins/に”「ibflashplayer.so」をコピーすると

   『https://helpx.adobe.com/jp/flash-player.html』の「1.Flash Player のインストール状況をチェックします。」の「今すぐチェック」をクリックすると
   ”Flash Player のバージョン”は、”24.0.0”でした。

お騒がせして、大変申し訳ありませんでした。
『Flash Player and Shockwave Playerコミュニティフォーラム(Japan)』に質問します。

[b]<tosri 様>

[/b]   最初の質問で書かなかったので、大変申し訳ありません。

   『Shockwave Flash 13.1 r2」を「無効化」すると『Shockwave Flash 24.0 r2』も「無効化」になってしました。

   ちゃんと記載しておけば、よかったです。すみませんでした。
   今後投稿する際は、行った事は記載するようにします。

以上。

_________________
Mozilla/5.0 (X11; Linux i686; rv:50.0) Gecko/20100101 Firefox/50.0


通報する
ページトップ
  
引用付きで返信する  
投稿記事Posted: 2017年1月08日(日) 19:52 
横から失礼します。

linuxBean は使ったことがないので、そのあたりの事情はよくわかりませんが、現役バージョンの Firefox と Adobe Flash Player の関係について、経験的に知っていることをいくつかコメントさせていただきます。

現状のどのプラットフォームでも、通常は Firefox で Flash Player プラグインを使う場合、PPAPI 版(libpepflashplayer.so)は使えません。NPAPI 版(libflashplayer.so)を選択することになると思います。(Wrapper を介した PPAPI 版の利用は下記)

ご提示の警告メッセージを拝見すると、Sakuraya さんが仰っているように、Freshwrapper を介して PPAPI 版のプラグインを使おうとして、それに失敗しているように見えます。

ひろつき さんが書きました:
Failed to load "libpepflashplaer.so"
Freshwrapper is a translation layer which needs
PPAPI plugin backed.Ensure your sysytem have
Paths tried:
/opt/goole/chrome/PepperFlash/libpepflashplayer.so
/opt/goole/chrome/  ?省略? /libpepflashplayer.so

このフォーラムに書き込むときのタイプミスかもしれませんが、普通ならパスは次のようになる気がします。
/opt/google/chrome/PepperFlash/libpepflashplayer.so

linuxBean の背景事情はわかりませんが、Freshwrapper を使って PPAPI 版(libpepflashplayer.so)を使うというやり方が標準条件になっているわけでないのなら、ネイティブな NPAPI 版(libflashplayer.so)を使えるようにしたほうがいいのではないでしょうか。

HiroTsuki さんが書きました:
linuxBean設定ウィザードで、Chromeも導入しました。

この中に、Wrapper である Freshplayerplugin が同梱されてるのだと思います。

Sakuraya さんが書きました:
Firefoxを終了した状態でOSのパッケージマネージャから(もしくは手動でインストールした憶えがあるならたぶん~/.mozilla/plugins/配下にある)freshplayerを削除すればFirefoxネイティブのflashプラグインを使うようになるはずです。

と仰っているのが、Freshwrapper のプラグインを削除する手順なのだと思いますが、

HiroTsuki さんが書きました:
 → linuxBean設定ウィザードで、Chromeを削除し、~/.mozilla/plugins/のlibflashplayer.soを削除しました。

これでは NPAPI 版のライブラリ(libflashplayer.so)を削除してしまったことになるのではありませんか?
ファイル名が紛らわしいですけど、Freshwrapper 、Freshplayerplugin である点にご注意ください。
Freshwrapper や Freshplayerplugin などのキーワードで、Web 検索してみてください。ひろつき / HiroTsuki さんにとって役立つ情報が見つかるかもしれません。

ひろつき さんが書きました:
どのように行えば、前のようにFlash Playerが見れるのか教えてください。

ひろつき / HiroTsuki さん以外の人には、「前のように」がどんな環境条件でどういう実情であったかいっさいわかりませんから、前と今を比較することができず、正常だった「前」からどこが変化して今に至っているかを把握できません。したがって、「どのように行えば」を適切にお答えすることは困難だと思います。
既出の情報を頼りにする限りでは、Wrapper 経由で PPAPI 版を使うのではなく、Firefox にとってネイティブな NPAPI 版を使うようにしたほうがいいのでは、ぐらいしか申し上げれないように思います。
実際にどこをどう操作するかは、ひろつき / HiroTsuki さんが、現在までのところで、linuxBean 設定ウィザードや手動操作を使い、どんな作業をおこなって関連ファイルを扱われてきたかに左右される気がします。

Linux 系 OS を常用していないぼくが口を挟むことではないかもしれませんが、とりあえず以上です。間違ったことを書いていたらすみません(ツッコミ歓迎)。

_________________
Mozilla/5.0 (Windows NT 6.1; WOW64; rv:50.0) Gecko/20100101 Firefox/50.0


通報する
ページトップ
  
引用付きで返信する  
投稿記事Posted: 2017年1月09日(月) 11:09 
オフライン

登録日時: 2017年1月07日(土) 14:11
記事: 3
偶然的通行人 様

回答ありがとうございました。

色々参考になりました。
そして、動画表示するようになりました。

Chromiumでも動画表示しなかったので、『linuxBean 設定ウィザード』で再度導入したら、Chromiumで動画表示した。
それとFirofoxでも動画表示した。
『linuxBean 設定ウィザード』を行う前は使えていたコマンドが使えなかったが、今回の再度導入で使えるようになった。

あるサイトでは、前は映像が視聴できたが、まだ映像が視聴できないです。
インストールされているバージョンやFlashプラグインの無効になったいないかと表示しているが、下記のサイトで
確認するとFlashPlayerのインストール及び、最新バージョンとFlashプラグインの有効化されている。

 https://helpx.adobe.com/jp/flash-player/kb/235703.html

ただ、アドオンを見ると「Shockwave Flash 24.0 r2」と「Shockwave Flash 13.1 r2」があるので、
映像が視聴できた時は、「Shockwave Flash 13.1 r2」はなかったので、これが悪さしているのかもしれません。


>Failed to load "libpepflashplaer.so"
>Freshwrapper is a translation layer which needs
>PPAPI plugin backed.Ensure your sysytem have
>Paths tried:
>/opt/goole/chrome/PepperFlash/libpepflashplayer.so
>/opt/goole/chrome/  ?省略? /libpepflashplayer.so[/quote]
>このフォーラムに書き込むときのタイプミスかもしれませんが、普通ならパスは次のようになる気がします。
>/opt/google/chrome/PepperFlash/libpepflashplayer.so

 → タイプミスではありません。
   画像と添付すれば、よかったのかもしれません。
   サイトで表示していたのでいいと思ったが、自分環境での表示を忘れていました。失礼しました。


『Flash Player and Shockwave Playerコミュニティフォーラム(Japan)』に投稿しましたが、まだ回答がありません。
なんとか解決できたので、とりあえずはいいのかもしれません。

MozillaZine.jp フォーラム』の方には、お騒がせして、大変申し訳ありませんでした。すみませんでした。

最後にひとつ質問があります。
問題解決できてたのに大変恐縮なのですが、Firefoxを起動するとウィンドウの上のバーに”Mozilla FireFox”と
表示していますが、『
MozillaZine.jp フォーラム』に投稿するのは、ダメだったのでしょうか?

Linuxをよくわかっていないので、このことをお聞きするのは失礼とは思いますが。
今までは、検索してなんとかなっていたが、今回は色々検索してもダメだったので、投稿しました。
フォーラムには、初投稿です。(メーカーなどには、質問メールはしています。)



以上。

_________________
Mozilla/5.0 (Windows NT 6.1; rv:41.0) Gecko/20100101 Firefox/46.0


通報する
ページトップ
 プロフィール  
引用付きで返信する  
投稿記事Posted: 2017年1月09日(月) 11:16 
オフライン
Moderator

登録日時: 2011年4月06日(水) 10:16
記事: 1586
お住まい: Tokyo
ひろつき さんが書きました:
最後にひとつ質問があります。
問題解決できてたのに大変恐縮なのですが、Firefoxを起動するとウィンドウの上のバーに”Mozilla FireFox”と
表示していますが、『MozillaZine.jp フォーラム』に投稿するのは、ダメだったのでしょうか?


FirefoxなどMizilla製品は、Mozilla自身がリリースしているものと、それをLinuxが独自ビルドとして配布しているものとがあります。
前者であれば、Mozillaフォラームで大丈夫ですが、後者の場合、Linuxが独自の変更を加えている場合があるので、Mozillaフォーラムでは対応できません。
したがって、Linux独自のものである場合は、Linuxのフォーラムで聞く必要があります。

_________________
[Desktop] Windows 7 Professional (32bit/SP1) / Geforce GTX 660Ti 2GB (388.31) / 4GB RAM
Mozilla/5.0 (Windows NT 6.1; rv:50.0) Gecko/20100101 Firefox/50.0

通報する
ページトップ
 プロフィール  
引用付きで返信する  
投稿記事Posted: 2017年1月09日(月) 19:53 
ひろつき さんが書きました:
ただ、アドオンを見ると「Shockwave Flash 24.0 r2」と「Shockwave Flash 13.1 r2」があるので、
映像が視聴できた時は、「Shockwave Flash 13.1 r2」はなかったので、これが悪さしているのかもしれません。

おそらくですが、「Shockwave Flash 24.0 r2」が NPAPI 版で、「Shockwave Flash 13.1 r2」が PPAPI 版なのだと思われます。
それぞれのブラウザから Flash Player プラグインのエディションを確認できるはずです。

インストールされた Google Chrome には PPAPI 版の Flash Player が同梱されていると思います。
Firefox をインストールしただけでは、NPAPI 版の Flash Player が自動的にインストールされるわけではなく、別途インストールが必要だと思います。

ポイントは、Freshwrapper のインストール状況とその挙動かと思われます。

Firefox で Flash コンテンツにアクセスしたとき、通常ならネイティブの NPAPI 版が呼び出されて問題なく動作すると思うのですが、ここまでの経過を拝見する限りでは、freshplayerplugin が働いて PPAPI 版の Flash Player を呼び出そうとして失敗しているように見えます。
これはたぶん Firefox に freshplayerplugin が認識されているからで、これを無効化したらネイティブの NPAPI 版だけが使われるようになるのでは ―― というのが、すでに寄せられているアドバイスです。
Firefox のアドオンマネージャーにあるプラグインの項目を確認なさいましたか? about:plugins からは、より詳細な情報を確認することができると思います。

このシナリオどおりの状況なら、ひろつき さんが Wrapper の状況確認をして、確認結果に応じた対処を施せばいいことだと思います。
linuxBean 固有の事情があるなら、linuxBean のフォーラムで助力を仰いでください。


-----------------------------------------------
以下はオフトピ気味の話になります。
Moderator である pal さんのご説明に逆らうものではありませんが、少し補足させていただきます。

ひろつき さんが書きました:
最後にひとつ質問があります。
問題解決できてたのに大変恐縮なのですが、Firefoxを起動するとウィンドウの上のバーに”Mozilla FireFox”と
表示していますが、『MozillaZine.jp フォーラム』に投稿するのは、ダメだったのでしょうか?

Firefox はオープンソースで開発されています。
ソースコードが公開されているので、ライセンス条項を守っていれば自由に利用できます。そのため、

(A)Linux 、Mac 、Windows それぞれの環境で、Firefox をベースにした派生ブラウザがあります。

(B)Linux の各ディストリビューションでは、Firefox のソースコードに修正(追加、削除、変更)を加えて独自にビルドした Firefox をリポジトリに置き、パッケージ管理システムを使ってユーザー環境に簡単に導入できるようになっているものがあります。
 (linuxBean の場合、「linuxBean 設定ウィザード」を使って導入した Firefox は、linuxBean のリポジトリから導入したもの、ということになるでしょうか。たぶん...。)

(C)Mozilla からも、各プラットフォーム向けの Firefox が配布されています。Linux 版もあります。
Linux ユーザーの中には、(B)からではなく、このプログラムを自前で導入されている方もおられます。

Mozilla の正式版といえるのは、(C)だけです。
(A)(B)は、程度は様ざまですが正式版の Firefox に修正が加えられている部分があったり、配布が固有の方式であるため、正式版と同一ではありません。

この MozillaZine.jp は、原則的には Mozilla の正式版を対象にした、ユーザーコミュニティーのフォーラムです。
ただし、[掲示板トップ ≫ 相互ユーザサポート ≫ その他] のように、「Firefox Portable、Thunderbird Portable など、Mozilla 非公式のソフトのサポートフォーラムです。その他、適当なフォーラムがない場合にはこちらへ」というカテゴリもあり、非正式版に対しても一定の窓口はあります。

(A)(B)の Firefox であっても、正式版の Firefox と共通している要素もありますから、そういう部分での質疑応答は、このフォーラムでも通用するケースはあるでしょう。

ややこしいのは、(A)(B)のユーザーが、ただ漠然と質問してこられるときです。
正式版と共通した部分の内容なら答えられることもありますが、異なる部分だったり、異なる部分の影響を無視できない内容だったりすると、答えられないことも出てきます。
このフォーラムを見ている人の中に、たまたま質問者とまったく同じ環境条件で使っている人がおられれば、適切な回答をいただけることもありますが、そういう偶然に期待するよりは、(A)(B)それぞれの Firefox ベースの製品を対象にしたフォーラムで質問するほうが、回答をもらえる確率は高いでしょう、ということです。

Linux の各ディストリビューション用の Firefox を導入している人なら、まずはその Linux のフォーラムで質問したほうが効率的だと思います。

その上で、ディストリビューション固有の Firefox であることなどの情報をきちんと提示し、比較対照として正式版のFirefox の動作を尋ねるとか、正式版のトラブルシューティングを参考にしたいということなら、MozillaZine.jp フォーラムでも対応できることはあるかもしれません。

派生版のフォーラムでのトラブルシューティング情報が正式版にフィードバックされることもありますし、ベースが同じという部分に限っては相互に交流できる要素もありますので、頭から拒絶するものではないと思います。

当たり前のことですが、Firefox がらみだからといって、すべてが MozillaZine.jp フォーラムで対応できるわけではありません。(A)(B)のような独自ビルドであればなおさらです。そのあたりを理解した上で、このフォーラムを活用なさればいいのではないでしょうか。

_________________
Mozilla/5.0 (Windows NT 6.1; WOW64; rv:50.0) Gecko/20100101 Firefox/50.0


通報する
ページトップ
  
引用付きで返信する  
投稿記事Posted: 2017年1月16日(月) 17:25 
オフライン

登録日時: 2017年1月07日(土) 14:11
記事: 3
pal 様、偶然的通行人 様

 レスが遅くなり、申し訳ありません。

 回答ありがとうございました。
 色々と勉強になりました。ありがとうございました。

以上

_________________
Mozilla/5.0 (Windows NT 6.1; rv:41.0) Gecko/20100101 Firefox/46.0


通報する
ページトップ
 プロフィール  
引用付きで返信する  
期間内表示:  ソート  
新しいトピックを投稿する トピックへ返信する  [ 9 件の記事 ] 

All times are UTC + 9 hours


オンラインデータ

このフォーラムを閲覧中のユーザー: EarlgreyTea, Google [Bot] & ゲスト[4人]


トピック投稿:  可
返信投稿:  可
記事編集: 不可
記事削除: 不可
ファイル添付: 不可

検索:
ページ移動:  
Powered by MozillaZine.jp® Forum Software © phpBB Group , Almsamim WYSIWYG
Japanese translation principally by ocean